
GammaLib - Bug #1492

LogParabola flux method returns nan

06/30/2015 03:23 PM - Buehler Rolf

Status: Closed Start date: 06/30/2015

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Running on gammalib v0.10.0 on Ubuntu 14.04 the following lines:

import gammalib as gl

crab =  gl.GModels("/home/buehler/Code/gammalib/test/data/model_point_logparabola.xml")

crab["Crab"].spectral().flux(gl.GEnergy(1,"TeV"),gl.GEnergy(10,"TeV"))

results in:

+++ WARNING in GIntegral::romberg(1e+06, 1e+07, 5): Integration uncertainty nan exceeds absolute tolerance of nan after 21

iterations. Result -nan is inaccurate.

This was very likely the cause of the problem I reported in ctools Issue #1447 https://cta-redmine.irap.omp.eu/issues/1447

History

#1 - 10/30/2015 10:46 PM - Knödlseder Jürgen

Can you check whether the problem still exists on the actual code?

Michael has reported a similar problem (#1556) which was traced back to the problem of invalid references. Michael's problem has been fixed.

#2 - 12/03/2015 10:25 AM - Buehler Rolf

Running on Version: 1.1.0.dev (22 November 2015) the problem is gone (no warning appears and the returned value looks reasonable)

#3 - 12/03/2015 10:34 AM - Knödlseder Jürgen

- Status changed from New to Closed

Thus close the issue.
